# jira

This configuration section contains settings to configure the Jira Test Case Management (TCM) solution.

The following example shows the most common options within this section.

```javascript
{
  ...
  "jira": {
    "tcmSolution": "JiraTcmCustomization",
    "customStepsField": {
      "field": {
        "name": "Steps To Complete"
      }
    },
    "testCaseIssueType": {
      "name": "Test Case"
    },
    "testsLinkName": "tests"
  },
  ...
}
```

## Settings

| Setting             | Description                                                                                                                                                                                                                                                   | Default                                    |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ |
| `jiraProduct`       | Jira Software product you connect to. Available values: `Cloud`, `DataCenter`                                                                                                                                                                                 | automatically detected from the server URL |
| `tcmSolution`       | The Test Case Management (TCM) customization solution of the Jira project. Available values: `JiraTcmCustomization`, `ZephyrScale`                                                                                                                            | mandatory                                  |
| `testCaseIssueType` | The Jira Issue Type used for storing Test Cases.                                                                                                                                                                                                              | mandatory for `JiraTcmCustomization` TCM   |
| `customStepsField`  | <p>Specifies details about how Test Case steps are synchronized to a custom multi-line text field.</p><ul><li><code>customStepsField/field/name</code> — The name of the field</li><li><code>customStepsField/field/id</code> — The ID of the field</li></ul> | mandatory for `JiraTcmCustomization` TCM   |
| `testsLinkName`     | The name of the link type used for describing that a Test Case tests a particular requirement. Usual values are `tests` or `tested with`                                                                                                                      | `tests`                                    |

## Example: Typical configuration for Jira TCM Customization

```javascript
{
  "remote": {
    "serverUrl": "https://specsyncdemo.atlassian.net/",
    "project": "MyCalculator",
  },
  "jira": {
    "tcmSolution": "JiraTcmCustomization",
    "customStepsField": {
      "field": {
        "name": "Steps To Complete"
      }
    },
    "testCaseIssueType": {
      "name": "Test Case"
    }
  },
  ...
}
```

## Example: Typical configuration for Zephyr Scale

```javascript
{
  "remote": {
    "serverUrl": "https://specsyncdemo.atlassian.net/",
    "project": "MyCalculator",
  },
  "jira": {
    "tcmSolution": "ZephyrScale"
  },
  ...
}
```

{% content-ref url="/pages/As0iwTwtwwMJKOfZACmA" %}
[Configuration reference](/specsync/jira/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/configuration/configuration-jira.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
